import Layout from "@/layout/index.vue";

//todo delete 删除动态路由页面的定义 接口会传递进来
// const ems = [
//   {
//     path: '',
//     component: Layout,
//     redirect: 'noRedirect',
//     children: [
//       {
//         path: 'zddt',
//         component: () => import('@/views/ems/zddt/index'),
//         name: 'zddt',
//         meta: { title: '站点地图', icon: 'guide' }
//       }
//     ]
//   }
// ]
// export default ems

//单站监控
// todo 本地设置了 hidden:true,不会显示在侧边栏，需要在系统管理、菜单管理中手动添加菜单后才会展示在侧边栏
export const dzjk=[
  {
    path: '/dzjk',
    component: Layout,
    redirect: '/dzjk/home',
    meta: { title: '单站监控', icon: 'dashboard',},
    alwaysShow: false,
    name:'Dzjk',
    hidden:true,
    children: [
      {
        path: '',
        component: () => import('@/views/ems/dzjk/index'),
        name: 'Dzjk',
        redirect: '/dzjk/home',
        hidden: true,
        children: [
          {
            path: '/dzjk/home',
            component: () => import('@/views/ems/dzjk/home/index.vue'),
            name: 'DzjkHome',
            meta: { title: '首页',breadcrumb: false,activeMenu: '/dzjk',activeSecondMenuName:'DzjkHome' }
          },
          {
            path: '/dzjk/sbjk',
            component: () => import('@/views/ems/dzjk/sbjk/index.vue'),
            name: 'DzjkSbjk',
            meta: { title: '设备监控',breadcrumb: false,activeMenu: '/dzjk'},
            redirect: '/dzjk/sbjk/ssyx',
            children: [
              {
                path: 'ssyx',
                component: () => import('@/views/ems/dzjk/sbjk/ssyx/index.vue'),
                name: 'DzjkSbjkSsyx',
                meta: { title: '实时运行',breadcrumb: false,activeMenu: '/dzjk',activeSecondMenuName:'DzjkSbjk'},
              },
              {
                path: 'pcs',
                component: () => import('@/views/ems/dzjk/sbjk/pcs/index.vue'),
                name: 'DzjkSbjkPcs',
                meta: { title: 'Pcs',breadcrumb: false,activeMenu: '/dzjk',activeSecondMenuName:'DzjkSbjk'},
              },
              {
                path: 'bmszl',
                component: () => import('@/views/ems/dzjk/sbjk/bmszl/index.vue'),
                name: 'DzjkSbjkBmszl',
                meta: { title: 'BMS总览',breadcrumb: false,activeMenu: '/dzjk',activeSecondMenuName:'DzjkSbjk'},
              },
              {
                path: 'bmsdcc',
                component: () => import('@/views/ems/dzjk/sbjk/bmsdcc/index.vue'),
                name: 'DzjkSbjkBmsdcc',
                meta: { title: 'BMS电池簇',breadcrumb: false,activeMenu: '/dzjk',activeSecondMenuName:'DzjkSbjk'},
              },
              {
                path: 'dtdc',
                component: () => import('@/views/ems/dzjk/sbjk/dtdc/index.vue'),
                name: 'DzjkSbjkDtdc',
                meta: { title: '单体电池',breadcrumb: false,activeMenu: '/dzjk',activeSecondMenuName:'DzjkSbjk'},
              },
              {
                path: 'db',
                component: () => import('@/views/ems/dzjk/sbjk/db/index.vue'),
                name: 'DzjkSbjkDb',
                meta: { title: '电表',breadcrumb: false,activeMenu: '/dzjk',activeSecondMenuName:'DzjkSbjk'},
              },
              {
                path: 'yl',
                component: () => import('@/views/ems/dzjk/sbjk/yl/index.vue'),
                name: 'DzjkSbjkYl',
                meta: { title: '液冷',breadcrumb: false,activeMenu: '/dzjk',activeSecondMenuName:'DzjkSbjk'},
              }
            ]
          },
          {
            path: '/dzjk/gzgj',
            component: () => import('@/views/ems/dzjk/gzgj/index.vue'),
            name: 'DzjkGzgj',
            meta: { title: '故障告警',breadcrumb: false,activeMenu: '/dzjk',activeSecondMenuName:'DzjkGzgj' }
          },
          {
            path: '/dzjk/tjbb',
            component: () => import('@/views/ems/dzjk/tjbb/index.vue'),
            name: 'DzjkTjbb',
            meta: {title: '统计报表', breadcrumb: false, activeMenu: '/dzjk'},
            redirect: '/dzjk/tjbb/gltj',
            children: [
              {
                path: 'gltj',
                component: () => import('@/views/ems/dzjk/tjbb/gltj/index.vue'),
                name: 'DzjkTjbbGltj',
                meta: { title: '概率统计',breadcrumb: false,activeMenu: '/dzjk',activeSecondMenuName:'DzjkTjbb'},
              },
              {
                path: 'glqx',
                component: () => import('@/views/ems/dzjk/tjbb/glqx/index.vue'),
                name: 'DzjkTjbbGlqx',
                meta: { title: '功率曲线',breadcrumb: false,activeMenu: '/dzjk',activeSecondMenuName:'DzjkTjbb'},
              },
              {
                path: 'pcsqx',
                component: () => import('@/views/ems/dzjk/tjbb/pcsqx/index.vue'),
                name: 'DzjkTjbbPcsqx',
                meta: { title: 'PCS曲线',breadcrumb: false,activeMenu: '/dzjk',activeSecondMenuName:'DzjkTjbb'},
              },
              {
                path: 'dcdqx',
                component: () => import('@/views/ems/dzjk/tjbb/dcdqx/index.vue'),
                name: 'DzjkTjbbDcdqx',
                meta: { title: '电池堆曲线',breadcrumb: false,activeMenu: '/dzjk',activeSecondMenuName:'DzjkTjbb'},
              },
              {
                path: 'dcwd',
                component: () => import('@/views/ems/dzjk/tjbb/dcwd/index.vue'),
                name: 'DzjkTjbbDcwd',
                meta: { title: '电池温度',breadcrumb: false,activeMenu: '/dzjk',activeSecondMenuName:'DzjkTjbb'},
              },
              {
                path: 'dbbb',
                component: () => import('@/views/ems/dzjk/tjbb/dbbb/index.vue'),
                name: 'DzjkTjbbDbbb',
                meta: { title: '电表报表',breadcrumb: false,activeMenu: '/dzjk',activeSecondMenuName:'DzjkTjbb'},
              }
            ]
          },
          {
            path: '/dzjk/clpz',
            component: () => import('@/views/ems/dzjk/clpz/index.vue'),
            name: 'DzjkClpz',
            meta: {title: '策略配置', breadcrumb: false, activeMenu: '/dzjk'},
            redirect: '/dzjk/clpz/clyx',
            children: [
              {
                path: 'clyx',
                component: () => import('@/views/ems/dzjk/clpz/clyx/index.vue'),
                name: 'DzjkClpzClyx',
                meta: { title: '策略运行',breadcrumb: false,activeMenu: '/dzjk',activeSecondMenuName:'DzjkClpz'},
              },
              {
                path: 'xftg',
                component: () => import('@/views/ems/dzjk/clpz/xftg/index.vue'),
                name: 'DzjkClpzXftg',
                meta: { title: '削峰填谷',breadcrumb: false,activeMenu: '/dzjk',activeSecondMenuName:'DzjkClpz'},
              }
            ]
          }
        ]
      }
    ]
  }
]



